function ShieldThingy_get( num )
	PlaySnd( "shield.ogg", false )
	local player = players[num]
	if not player.shield then
		player.shield = 1
		local spr = CreateSprite( "sprite", player.x, player.y )
		SetObjAnim( spr, 25, false )
		player.shield_sprite = spr
	else
		player.shield = player.shield + 1
	end
end

function CreateShieldThingy( x, y )
	local spr = CreateSprite( "sprite", x, y )
	SetObjAnim( spr, 24, false )
	table.insert( items, {
		sprite = spr,
		get = ShieldThingy_get,
		x = x,
		y = y,
		speed = 1,
		size = 16
	} )
end